For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
      • GETReturns all teams.
      • POSTCreates a new team.
      • GETReturns the team with the specified id.
      • PUTUpdates the team with the specified id.
      • DELDeletes the team with the specified id.
      • POSTAdds projects to the specified team.
      • POSTAdds users to the specified team.
      • POSTRemoves projects from the specified team.
      • POSTRemoves users from the specified team.
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceTeams

Returns all teams.

GET
https://api.awork.com/api/v1/teams
GET
/api/v1/teams
$curl https://api.awork.com/api/v1/teams \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
200Retrieved
1[
2 {
3 "name": "Designers",
4 "icon": "image",
5 "color": "purple",
6 "id": "123e4567-e89b-12d3-a456-426614174000",
7 "createdOn": "2024-01-15T09:30:00Z",
8 "createdBy": "987f6543-e21b-45d3-b789-123456789abc",
9 "updatedOn": "2024-04-10T14:45:00Z",
10 "updatedBy": "987f6543-e21b-45d3-b789-123456789abc",
11 "userIds": [
12 "a12b34cd-56ef-78gh-90ij-klmnopqrstuv",
13 "b23c45de-67fg-89hi-01jk-lmnopqrstuvw"
14 ],
15 "projectIds": [
16 "c34d56ef-78gh-90ij-12kl-mnopqrstuvwx",
17 "d45e67fg-89hi-01jk-23lm-nopqrstuvwxy"
18 ]
19 }
20]
<Check title="Required Permissions" icon="key">When team restrictions are applied for the workspace, the user must either be an admin or member of the team to retrieve it.</Check>
Was this page helpful?
Previous

Creates a new team.

Next
Built with
Required Permissions
When team restrictions are applied for the workspace, the user must either be an admin or member of the team to retrieve it.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

includeUserIdsbooleanOptionalDefaults to false
Whether to include the ids of users that are in the team.
includeProjectIdsbooleanOptionalDefaults to false
Whether to include the ids of projects that are assigned to the team.
pageintegerOptionalDefaults to 1
Page number for pagination
pageSizeintegerOptionalDefaults to 10
Number of items per page
orderbystringOptional
The properties to order by
filterbystringOptional
The filter expression to filter by

Response

OK
namestring0-255 characters
The team name.
iconstring or null0-25 characters

The icon of the team. Optional. Possible values: ‘attach_money’, ‘poll’, ‘golf_course’, ‘all_inclusive’, ‘portrait’, ‘timeline’, ‘transform’, ‘description’, ‘folder’, ‘computer’, ‘web’, ‘phone_iphone’, ‘cloud’, ‘local_movies’, ‘shopping_cart’, ‘brush’, ‘image’, ‘camera_alt’, ‘movie_creation’, ‘public’, ‘whatshot’, ‘extension’, ‘explore’, ‘lock’, ‘settings’, ‘stars’, ‘store’, ‘school’, ‘local_bar’, ‘question_answer’, ‘favorite’, ‘work’, ‘flight_takeoff’, ‘map’, ‘local_dining’.

colorstring or null0-14 characters

The color of the team. Optional. Possible values: ‘red’, ‘coral’, ‘yellow’, ‘green’, ‘teal’, ‘arctic’, ‘blue’, ‘azure’, ‘purple’, ‘violet’.

idstringformat: "uuid"
The id of the team.
createdOnstringformat: "date-time"
The date this team was created.
createdBystring or nullformat: "uuid"
The id of the user who created this team.
updatedOnstringformat: "date-time"
The date this team was last modified.
updatedBystring or nullformat: "uuid"
The id of the user who last updated this team.
userIdslist of strings or null
The ids of the users in the team.
projectIdslist of strings or null
The ids of the projects in the team.